---
title: React Timeline component
components: Timeline, TimelineItem, TimelineSeparator, TimelineDot, TimelineConnector, TimelineContent, TimelineOppositeContent
githubLabel: 'component: Timeline'
packageName: '@material-ui/lab'
---

# Timeline

<p class="description">The timeline displays a list of events in chronological order.</p>

**Hinweis:** Diese Komponente ist nicht in den [Material-Design-Richtlinien](https://material.io/) dokumentiert, wird aber von Material-UI unterstützt.

{{"component": "modules/components/ComponentLinkHeader.js"}}

## Basic timeline

A basic timeline showing list of events.

{{"demo": "pages/components/timeline/BasicTimeline.js"}}

## Right-aligned timeline

The timeline can be positioned on the right side of the events.

{{"demo": "pages/components/timeline/RightAlignedTimeline.js"}}

## Alternating timeline

The timeline can display the events on alternating sides.

{{"demo": "pages/components/timeline/AlternateTimeline.js"}}

## Farbe (Color)

The `TimelineDot` can appear in different colors.

{{"demo": "pages/components/timeline/ColorsTimeline.js"}}

## Umrandung

{{"demo": "pages/components/timeline/OutlinedTimeline.js"}}

## Opposite content

The timeline can display content on opposite sides.

{{"demo": "pages/components/timeline/OppositeContentTimeline.js"}}

## Customized timeline

Hier ist ein Beispiel zum Anpassen der Komponente. Mehr dazu erfahren Sie auf der [Überschreibungsdokumentationsseite](/customization/how-to-customize/).

{{"demo": "pages/components/timeline/CustomizedTimeline.js"}}
