# Apóyanos

<p class="description">From community help to premium critical business support, we're here to help.</p>

## Ayuda comunitaria (gratis)

La comunidad es su primera parada para preguntas y consejos sobre el framework. Bienvenido a la comunidad!

### StackOverflow <img src="/static/images/logos/stackoverflow.svg" width="24" height="24" alt="Logo de StackOverflow" loading="lazy" />

Para preguntas técnicas de expertos de Material-UI en nuestra comunidad. También frecuentado por el equipo central de Material-UI.

[Publica una pregunta](https://stackoverflow.com/questions/tagged/material-ui)

### GitHub <img src="/static/images/logos/github.svg" width="24" height="24" alt="Logo de GitHub" loading="lazy" />

We use GitHub issues exclusively as a bugs and feature requests tracker. Si crees que has encontrado un bug, o tienes una nueva idea de características, por favor comience asegurándose de que no ha sido [reportado o corregido](https://github.com/mui-org/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed). Puede buscar a través de problemas existentes y pull requests para ver si alguien ha reportado uno similar al suyo.

[Abre un problema](https://github.com/mui-org/material-ui/issues/new/choose)

#### Nuevas directrices de problemas

- Por favor, siga la plantilla de problema.
- Comience el título con '[ComponentName]' donde corresponda, y utilice una descripción sucinta que ayude a otros a encontrar problemas similares.
  - "no funciona" ❌
  - "[Button] Add support for <some feature>" ✅
- Por favor, no agrupe varios temas en un solo problema: cada uno debería tener su propio problema en su lugar.
- Por favor, no comente "+1" sobre un problema. Es un spam para los mantenedores y no ayuda a avanzar el problema. Usa reacciones de GitHub en su lugar (👍).

### Blog 📝

Manténgase al día con el desarrollo de la biblioteca siguiendo el blog.

[Lee los últimos posts](https://medium.com/material-ui/)

### Recursos 📖

¿Nuevo en Material-UI? ¡Es fácil de aprender si sabes por dónde empezar!

[Aprende Material-UI](/getting-started/learn/)

### Twitter <img src="/static/images/logos/twitter.svg" width="24" height="24" alt="Logo de Twitter" loading="lazy" />

Reciba las últimas noticias sobre Material-UI.

[Síganos](https://twitter.com/MaterialUI)

### Versiones compatibles

The Material-UI CE (Community Edition) has been 100% open-source (MIT) since the very beginning, and always will be. The Material-UI CE (Community Edition) has been 100% open-source (MIT) since the very beginning, and always will be. The Material-UI team regularly ships new releases, bug fixes, and is very welcoming to community pull requests.

Given the reality of time and resource constraints, as well as the desire to keep innovating, over time it becomes necessary to shift focus to newer versions of the framework ([our release schedule](https://material-ui.com/versions/#release-frequency)), while making the transition to newer versions as smooth as possible, including publishing migration guides such as [this one for v4](/guides/migration-v3/). The open-source community is always welcome to submit new features and bug fixes as well.

El estado actual de cada versión de Material-UI es el siguiente:

- Material-UI v4 (hooks): ✅ In active development.
- Material-UI v3 (change supported browsers): ⚠️ Only handle security fixes.
- Material-UI v3 (change supported browsers): ❌ Inactive.
- ~Material-UI v2 (nunca existió)~.
- Material-UI v1 (rewrite): ❌ Inactivo.
- Material-interfaz de usuario v0.x: ❌ Inactivo.

Para equipos y organizaciones que requieren soporte adicional para versiones anteriores, Material-UI tiene [opciones disponibles](#enterprise).

## Soporte profesional (premium)

### Suscripción de Tidelift <img src="/static/images/logos/tidelift.svg" width="24" height="24" alt="Logo de Tidelift" loading="lazy" />

Material-UI and the maintainers of thousands of other packages are working with Tidelift to deliver one enterprise subscription that covers all of the open-source you use.

If you want the flexibility of open-source and the confidence of commercial-grade software, this is worth looking at.

The Tidelift Subscription manages your dependencies for you:

- Get the tools you need to continuously catalog and understand the open-source software that your application depends on.
- Your subscription helps pay the open-source community maintainers of the packages you use, to ensure they meet the standards you require.
- Address issues proactively, with tools that scan for new security, licensing, and maintenance issues, and alert participating open-source maintainers so they can resolve them on your behalf.
- Tidelift helps measure and improve your open-source dependencies' health – which improves your app's health – and gives a shortlist of high-impact steps your team can take to improve them even more.
- Get commercial assurances that don't come for free with open-source packages, such as intellectual property indemnification and support under a service level agreement. You expect these guarantees from proprietary software, and you can get them when using open-source as well.

The end result? All of the capabilities you expect from commercial-grade software, for the full breadth of open-source you use. That means less time grappling with esoteric open-source trivia, and more time building your own applications – and your business.

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise">
Obtener más detalles
</a>

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/request-a-demo?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise">
Solicite una demostración
</a>

### Trabajo personalizado 🛠

Ajuste a Material-UI para cumplir con los requisitos específicos. Danos un resumen de tus necesidades y te ayudaremos si podemos. Podemos: Danos un resumen de tus necesidades y te ayudaremos si podemos.

- Dar una estimación de tiempo y el precio si el trabajo es sencillo
- Sugerir alternativas que podrían no requerir Material-UI
- Rechazar el trabajo debido al tiempo o relevancia

Tenga en cuenta que el trabajo debe estar relacionado con Material-UI. No aceptamos el trabajo general de desarrollo de React. Nuestro precio de contratación es de $200/hora o $1,500/día.

[Envíenos un email](mailto:custom-work@material-ui.com)
